| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_canxlchannelframe Struct Reference

Header for a BLF CAN XL channel frame object with full timing, arbitration, and CRC metadata. More...

`#include <blf.h>`

## Public Attributes
uint8_t | channel
uint8_t | tx_count
uint8_t | dir
uint8_t | res1
uint32_t | frameLength_in_ns
uint16_t | bitCount
uint16_t | res2
uint32_t | frameIdentifier
uint8_t | serviceDataUnitType
uint8_t | res3
uint16_t | dlc
uint16_t | dataLength
uint16_t | stuffBitCount
uint16_t | prefaceCRC
uint8_t | virtualControllerAreaNetChannelID
uint8_t | res4
uint32_t | acceptanceField
uint8_t | stuffCount
uint8_t | res5
uint16_t | res6
uint32_t | crc
uint32_t | timeOffsetBrsNs
uint32_t | timeOffsetCrcDelNs
uint32_t | flags
uint32_t | reserved
uint64_t | arbitrationDataBitTimingConfig
uint64_t | arbitrationDataHwChannelSettings
uint64_t | fdPhaseBitTimingConfig
uint64_t | fdPhaseHwChannelSettings
uint64_t | xlPhaseBitTimingConfig
uint64_t | xlPhaseHwChannelSettings

## Detailed Description

Header for a BLF CAN XL channel frame object with full timing, arbitration, and CRC metadata.

## Member Data Documentation

## ◆ acceptanceField

uint32_t blf_canxlchannelframe::acceptanceField

Acceptance field value used for frame filtering.

## ◆ arbitrationDataBitTimingConfig

uint64_t blf_canxlchannelframe::arbitrationDataBitTimingConfig

Bit timing configuration register for the arbitration phase data segment.

## ◆ arbitrationDataHwChannelSettings

uint64_t blf_canxlchannelframe::arbitrationDataHwChannelSettings

Hardware channel settings for the arbitration phase data segment.

## ◆ bitCount

uint16_t blf_canxlchannelframe::bitCount

Total number of bits in the frame including stuffing bits.

## ◆ channel

uint8_t blf_canxlchannelframe::channel

Logical CAN channel number on which this frame was captured.

## ◆ crc

uint32_t blf_canxlchannelframe::crc

CRC value of the CAN XL frame as transmitted on the bus.

## ◆ dataLength

uint16_t blf_canxlchannelframe::dataLength

Actual number of payload data bytes present in this frame.

## ◆ dir

uint8_t blf_canxlchannelframe::dir

Transfer direction: one of BLF_DIR_RX, BLF_DIR_TX, or BLF_DIR_TX_RQ.

## ◆ dlc

uint16_t blf_canxlchannelframe::dlc

Data Length Code indicating the number of payload bytes (0–2048 for CAN XL).

## ◆ fdPhaseBitTimingConfig

uint64_t blf_canxlchannelframe::fdPhaseBitTimingConfig

Bit timing configuration register for the CAN FD phase.

## ◆ fdPhaseHwChannelSettings

uint64_t blf_canxlchannelframe::fdPhaseHwChannelSettings

Hardware channel settings for the CAN FD phase.

## ◆ flags

uint32_t blf_canxlchannelframe::flags

Bitmask of flags describing the properties and state of this frame.

## ◆ frameIdentifier

uint32_t blf_canxlchannelframe::frameIdentifier

CAN XL frame identifier field.

## ◆ frameLength_in_ns

uint32_t blf_canxlchannelframe::frameLength_in_ns

Total duration of the CAN XL frame on the bus in nanoseconds.

## ◆ prefaceCRC

uint16_t blf_canxlchannelframe::prefaceCRC

CRC value covering the CAN XL preface field.

## ◆ res1

uint8_t blf_canxlchannelframe::res1

Reserved; must be zero.

## ◆ res2

uint16_t blf_canxlchannelframe::res2

Reserved; must be zero.

## ◆ res3

uint8_t blf_canxlchannelframe::res3

Reserved; must be zero.

## ◆ res4

uint8_t blf_canxlchannelframe::res4

Reserved; must be zero.

## ◆ res5

uint8_t blf_canxlchannelframe::res5

Reserved; must be zero.

## ◆ res6

uint16_t blf_canxlchannelframe::res6

Reserved; must be zero.

## ◆ reserved

uint32_t blf_canxlchannelframe::reserved

Reserved; must be zero.

## ◆ serviceDataUnitType

uint8_t blf_canxlchannelframe::serviceDataUnitType

Service Data Unit (SDU) type identifying the higher-layer protocol carried in this frame.

## ◆ stuffBitCount

uint16_t blf_canxlchannelframe::stuffBitCount

Number of stuff bits inserted into the frame during encoding.

## ◆ stuffCount

uint8_t blf_canxlchannelframe::stuffCount

Rolling counter of stuff bits used for stuff-bit error detection.

## ◆ timeOffsetBrsNs

uint32_t blf_canxlchannelframe::timeOffsetBrsNs

Time offset in nanoseconds from the start of the frame to the BRS bit.

## ◆ timeOffsetCrcDelNs

uint32_t blf_canxlchannelframe::timeOffsetCrcDelNs

Time offset in nanoseconds from the start of the frame to the CRC delimiter bit.

## ◆ tx_count

uint8_t blf_canxlchannelframe::tx_count

Number of transmission attempts made for this frame.

## ◆ virtualControllerAreaNetChannelID

uint8_t blf_canxlchannelframe::virtualControllerAreaNetChannelID

Virtual CAN (VCAN) channel identifier associated with this frame.

## ◆ xlPhaseBitTimingConfig

uint64_t blf_canxlchannelframe::xlPhaseBitTimingConfig

Bit timing configuration register for the CAN XL phase.

## ◆ xlPhaseHwChannelSettings

uint64_t blf_canxlchannelframe::xlPhaseHwChannelSettings

Hardware channel settings for the CAN XL phase.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h